# salt.states.logrotate

Module for managing logrotate.

New in version 2017.7.0.

salt.states.logrotate.set_(name, key, value, setting=None, conf_file='/etc/logrotate.conf')

  Set a new value for a specific configuration line.

  Parameters:

    - key (str) -- The command or block to configure.

    - value (str) -- The command value or command of the block specified by the key parameter.

    - setting (str) -- The command value for the command specified by the value parameter.

    - conf_file (str) -- The logrotate configuration file.

  Example of usage with only the required arguments:

      logrotate-rotate:
        logrotate.set:
          - key: rotate
          - value: 2

  Example of usage specifying all available arguments:

      logrotate-wtmp-rotate:
        logrotate.set:
          - key: /var/log/wtmp
          - value: rotate
          - setting: 2
          - conf_file: /etc/logrotate.conf